%define url_ver %(echo %{version} | cut -d "." -f -2)

Name:           drwright
Version:        3.2.1
Release:        %mkrel 1
Summary:        Typing monitor to force typing breaks
License:        GPLv2+
Group:		Graphical desktop/GNOME
URL:            http://www.gnome.org/
Source0:        http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:  intltool
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0
BuildRequires:	pkgconfig(libnotify) >= 0.7
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(gnome-settings-daemon)
BuildRequires:	pkgconfig(xscrnsaver)

%description
DrWright monitors your typing and forces you to periodically take typing
breaks. For the Gnome 3 Desktop!

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-schemas-compile
%make

%install
%makeinstall_std


#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/gnome-typing-break-panel.desktop
%{_datadir}/icons/hicolor/*/apps/typing-monitor.*
%{_libdir}/control-center-1/panels/libdrwrightccp.so
%{_libdir}/gnome-settings-daemon-3.0/libtyping-break.so
%{_libdir}/gnome-settings-daemon-3.0/typing-break.gnome-settings-plugin


%post
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%changelog
* Wed Oct 19 2011 Texstar <texstar at gmail.com> 3.2.1-1pclos2011
- 3.2.1

* Mon Oct 17 2011 Texstar <texstar at gmail.com> 3.2.0-1pclos2011
- 3.2.0
